Upgrade auf PHP 7.1 schlägt fehl - SwagLicense/Bootstrap.php Ioncubeloader Problem

Hallo,

 

Ich tue mich aktuell damit schwer einen Shop in der Version 5.3.5 auf Php 7.1 upzugraden. Mein System auf Php 7.1 + den passenden Ioncubeloader zu migrieren war kein Problem.
Ich habe in meinem Shopware-Account die Shop Version der richtigen Domain auf Version 5.3.5 umgestellt.

Wenn ich nun das Backend öffne bekomme ich folgenden Fehler:
The file /var/www/engine/Shopware/Plugins/Community/Core/SwagLicense/Bootstrap.php was encoded by the ionCube Encoder for PHP 5.6 and cannot run under PHP 7.1.

Die Fehlermeldung ist eindeutig. In dem Forum bin ich auf den Tipp gestoßen, den LizenzManager und „Meine Einkäufe“ zu deinstallieren, löschen und anschließend neu herunterzuladen.

Dies habe ich durch das Backend und auch durch die CLI probiert. Zur Sicherheit habe ich den Lizentzmanager per Hand aus dem Datei-System gelöscht. Wenn ich das Plugin neu herunterlade, kommt leider der gleiche Fehler.

Für mich sieht es so aus, als wenn Shopware mir immer noch dievVerschlüsselten Plugins für PHP 5.6 anbietet, obwohl ich die Einstellung im Community Store unter Profil -> Shops auf die richtige Version ( 5.3.5 ) gesetzt habe.

Hat hier Jemand Rat, wie dieses Problem zu lösen ist?

Hi,

PHP 7.1 wird noch nicht unterstützt - mit PHP 7.0.xx sollte das Problem zu lösen sein.

Siehe Kommentar von Moritz - https://forum.shopware.com/discussion/comment/208125/#Comment_208125 - Shopware ist mit ionCube in Kontakt.

VG

 

1 Like

Es geht nicht und es gibt auch schon viele Threads und Antworten von Shopware Mitarbeitern dazu. Dort kann darüber diskutiert werden.

Ich denke der Thread hier kann geschlossen werden.

https://forum.shopware.com/discussion/50599/upgrade-auf-php-7-1-schlaegt-fehl-swaglicense-bootstrap-php-ioncubeloader-problem#latest

https://forum.shopware.com/discussion/49901/fehler-bootstrap-php-ioncube-encoder-php-5-6-7-1-keine-anzeige-installation-von-plugins-moeglich

https://forum.shopware.com/discussion/50038/php7-1-mit-neuem-ioncube10

Viele Grüße

Gibt es etwas neues zu PHP 7.1?

Nein